<?php
/**
 * @package    test
 * @subpackage C:
 * @author     Thib {@link }
 * @author     Created on 08-May-2012
 * @license    GNU/GPL
 */

//-- No direct access
defined('_JEXEC') || die('=;)');


jimport('joomla.application.component.view');

/**
 * HTML View class for the test Component.
 *
 * @package    test
 * @subpackage Views
 */
class testListViewtest extends JView
{
    /**
     * test view display method.
     *
     * @param string $tpl The name of the template file to parse;
     *
     * @return void
     */
    public function display($tpl = null)
    {
        //-- Get the test
        $test = $this->get('Data');
        $isNew = ($test->id_age < 1);

        $text = $isNew ? JText::_('New') : JText::_('Edit');
        JToolBarHelper::title('test: <small><small>[ '.$text.' ]</small></small>');
        JToolBarHelper::save();

        if($isNew)
        {
            JToolBarHelper::cancel();
        }
        else
        {
            //-- For existing items the button is renamed `close`
            JToolBarHelper::cancel('cancel', JText::_('Close'));
        }

        $this->assignRef('test', $test);

        parent::display($tpl);
    }//function
}//class
