<?php
/**
 * @package    test
 * @subpackage C:
 * @author     Thib {@link }
 * @author     Created on 08-May-2012
 * @license    GNU/GPL
 */

//-- No direct access
defined('_JEXEC') || die('=;)');


jimport('joomla.application.component.controller');

/**
 * test Controller.
 *
 * @package    test
 * @subpackage Controllers
 */
class testListControllertest extends testListController
{
    /**
     * Constructor (registers additional tasks to methods).
     */
    public function __construct()
    {
        parent::__construct();

        //-- Register Extra tasks
        $this->registerTask('add', 'edit','publish');

    }//function

    /**
     * display the edit form.
     *
     * @return void
     */
    function edit()
    {
        JRequest::setVar('view', 'test');
        JRequest::setVar('layout', 'form');
        JRequest::setVar('hidemainmenu', 1);

        parent::display();
    }//function

    /**
     * Save a record (and redirect to main page).
     *
     * @return void
     */
    function save()
    {
        $model = $this->getModel('test');
        $link = 'index.php?option=com_test';

        if($model->store())
        {
            $msg = JText::_('Record daved');
            $this->setRedirect($link, $msg);
        }
        else
        {
            $msg = $model->getError();
            $this->setRedirect($link, $msg, 'error');
        }
    }//function

    /**
     * Remove record(s).
     *
     * @return void
     */
    function remove()
    {
        $model = $this->getModel('test');
        $link = 'index.php?option=com_test';

        if($model->delete())
        {
            $msg = JText::_('Records deleted');
            $this->setRedirect($link, $msg);
        }
        else
        {
            $msg = JText::sprintf('One or more records could not be deleted: %s', $model->getError());
            $this->setRedirect($link, $msg, 'error');
        }
    }//function

    /**
     * Cancel editing a record.
     *
     * @return void
     */
    function cancel()
    {
        $msg = JText::_('Operation Cancelled');
        $this->setRedirect('index.php?option=com_test', $msg, 'notice');
    }//function
}//class
